<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Edit Product Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="product name" ref="base_info.name">
                        <label>Name:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter product name" v-model="baseInfo.name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter product name</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-6">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="product slug" ref="base_info.slug">
                        <label class="">Slug:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter product slug" v-model="baseInfo.slug">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter product slug</span>
                    </ValidationProvider>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <div class="col-lg-8">
                    <ValidationProvider rules="" v-slot="{ errors }" name="product description" ref="base_info.description">
                        <label class="">Description:</label>
                        <textarea class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" v-model="baseInfo.description"></textarea>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter product description</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-4">
                    <label>Available:</label>
                    <br>
                    <span class="m-switch m-switch--lg m-switch--icon">
                        <label>
                            <input type="checkbox" checked="checked" v-model="baseInfo.active">
                            <span></span>
                        </label>
                    </span>
                    <br>
                    <span class="m-form__help">Please select product state</span>
                </div>
            </div>
        </div>
    </form>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Optional Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-6">
                    <label>Price Note:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product price note" v-model="baseInfo.price_note">
                    <span class="m-form__help">Please enter product price note</span>
                </div>
                <div class="col-lg-3">
                    <label>Height:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product height" v-model="baseInfo.height">
                    <span class="m-form__help">Please enter product height</span>
                </div>
                <div class="col-lg-3">
                    <label>Width:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product width" v-model="baseInfo.width">
                    <span class="m-form__help">Please enter product width</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <div class="col-lg-4">
                    <label>Length:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product length" v-model="baseInfo.length">
                    <span class="m-form__help">Please enter product length</span>
                </div>
                <div class="col-lg-4">
                    <label>Weight:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product weight" v-model="baseInfo.weight">
                    <span class="m-form__help">Please enter product weight</span>
                </div>
                <div class="col-lg-4">
                    <label>Thickness:</label>
                    <input type="text" class="form-control m-input" placeholder="Enter product thickness" v-model="baseInfo.thickness">
                    <span class="m-form__help">Please enter product thickness</span>
                </div>
            </div>
        </div>
    </form>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Select Product Brand
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group">
                <ValidationProvider rules="required" v-slot="{ errors }" name="product brand" ref="base_info.brand_id">
                    <label class="">Brand:</label>
                    <select-component v-model="baseInfo.brand_id" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }" :data="selectBrandsList"></select-component>
                    <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                        {{ errors[0] }}
                    </div>
                    <span v-else class="m-form__help">Please select product brand</span>
                </ValidationProvider>
            </div>
        </div>
    </form>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>

                <ValidationProvider rules="" v-slot="{ errors }" name="product categories" ref="categories">
                    <h3 class="m-portlet__head-text">
                        Select Product Categories
                    </h3>

                    <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                        {{ errors[0] }}
                    </div>
                </ValidationProvider>
            </div>
        </div>
    </div>

    <!--begin::Form-->
    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed scrollable" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row" v-for="(category, index) in productCategories">
                <div class="col-lg-10">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="product category" :ref="'categories.' + index">
                        <label>Category:</label>
                        <select-component v-model="category.id"
                                          :init="category.id"
                                          :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }"
                                          :data="selectCategoriesList(index)">
                        </select-component>
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select product category</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-2">
                    <a v-if="productCategories.length > 1" class="btn btn-danger m-btn m-btn--icon m-btn--icon-only btn-delete" @click="removeProductCategory(index)">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </div>
            </div>
        </div>
        <div v-if="showAddButton" class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-6">
                        <button type="button"
                                class="btn btn-primary"
                                @click="addProductCategory"
                                :disabled="disabledAddButton">+ Add</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>